Index: trunk/doc/Flair/navtreeindex6.js
===================================================================
--- trunk/doc/Flair/navtreeindex6.js	(revision 24)
+++ trunk/doc/Flair/navtreeindex6.js	(revision 25)
@@ -1,4 +1,34 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_vrpn_client.html#acf82bb30ed4753183a3ddb8758d4a3b6":[1,0,0,5,30,4],
+"classflair_1_1sensor_1_1_vrpn_client.html#adf1f94c2a40092cf76cddf5cce9caae5":[1,0,0,5,30,5],
+"classflair_1_1sensor_1_1_vrpn_client.html#adf2374e9d69ff17fc490ba06e6488a50":[1,0,0,5,30,2],
+"classflair_1_1sensor_1_1_vrpn_object.html":[1,0,0,5,31],
+"classflair_1_1sensor_1_1_vrpn_object.html#a01f756f3d1e72afaf1bde94e3b34c587":[1,0,0,5,31,15],
+"classflair_1_1sensor_1_1_vrpn_object.html#a0f046b0ea0e4fe1509654e4149c7ce25":[1,0,0,5,31,14],
+"classflair_1_1sensor_1_1_vrpn_object.html#a2942cbbb898ba9d0d795b97ad3b9825f":[1,0,0,5,31,7],
+"classflair_1_1sensor_1_1_vrpn_object.html#a2c4b259c51b98fa92f8f39141ac9f8b2":[1,0,0,5,31,8],
+"classflair_1_1sensor_1_1_vrpn_object.html#a32e2c982fb63444678b672fce4762738":[1,0,0,5,31,6],
+"classflair_1_1sensor_1_1_vrpn_object.html#a3ab137dde2f6c3d1d8086dd886e1c539":[1,0,0,5,31,3],
+"classflair_1_1sensor_1_1_vrpn_object.html#a3f763c10994c9105bc24b3ab61f90afa":[1,0,0,5,31,2],
+"classflair_1_1sensor_1_1_vrpn_object.html#a497f45bf3c808c99df38efedfb1fb29a":[1,0,0,5,31,11],
+"classflair_1_1sensor_1_1_vrpn_object.html#a516210bba13f3df87da71dac8a494c20":[1,0,0,5,31,5],
+"classflair_1_1sensor_1_1_vrpn_object.html#aa192e539d45cfebdcb258109f9136789":[1,0,0,5,31,4],
+"classflair_1_1sensor_1_1_vrpn_object.html#aa5bbb98011e31146b7d32b5d838ef0ef":[1,0,0,5,31,0],
+"classflair_1_1sensor_1_1_vrpn_object.html#aa913d9d717b7321cf9f4b4fe4ebb6b9c":[1,0,0,5,31,13],
+"classflair_1_1sensor_1_1_vrpn_object.html#aadf565240a19bda520271897b63ab469":[1,0,0,5,31,1],
+"classflair_1_1sensor_1_1_vrpn_object.html#acac80ce94c7081f6e51f8d81d158e164":[1,0,0,5,31,9],
+"classflair_1_1sensor_1_1_vrpn_object.html#acb5162ae1ed3ea0b646ab12ac6879279":[1,0,0,5,31,10],
+"classflair_1_1sensor_1_1_vrpn_object.html#af6e2b048e6e5c74f03a5bf1d767e5819":[1,0,0,5,31,12],
+"classflair_1_1simulator_1_1_blade.html":[1,0,0,6,0],
+"classflair_1_1simulator_1_1_blade.html#a827ee4589f46349288080e843f1e4ad4":[1,0,0,6,0,2],
+"classflair_1_1simulator_1_1_blade.html#ac96e1a6d13b35d954539b5dd6a02589a":[1,0,0,6,0,1],
+"classflair_1_1simulator_1_1_blade.html#ad570acab906ccc0e2046873d7be8b73e":[1,0,0,6,0,3],
+"classflair_1_1simulator_1_1_blade.html#ada2724d30a3d735425c9db73da3127a8":[1,0,0,6,0,0],
+"classflair_1_1simulator_1_1_blade.html#ade8e7c7ccf2d7fee6a8c56504d2a500c":[1,0,0,6,0,4],
+"classflair_1_1simulator_1_1_castle.html":[1,0,0,6,1],
+"classflair_1_1simulator_1_1_castle.html#a8092c85e60b3442f7a1df500549d23c0":[1,0,0,6,1,0],
+"classflair_1_1simulator_1_1_castle.html#a80e5d2cdcdd3dd6f594a8ca4ca27945e":[1,0,0,6,1,1],
+"classflair_1_1simulator_1_1_discrete_time_variable.html":[1,0,0,6,2],
 "classflair_1_1simulator_1_1_discrete_time_variable.html#a4f0cff7a8464801240d20f907e55d95e":[1,0,0,6,2,3],
 "classflair_1_1simulator_1_1_discrete_time_variable.html#a8b83857b2011b99192f96f0ef511cff7":[1,0,0,6,2,1],
@@ -132,22 +162,22 @@
 "hierarchy.html":[1,2],
 "index.html":[],
-"io__data_8h.html":[2,0,44],
-"io__data_8h.html#a6dbece12f2117234500c91be48ea781c":[2,0,44,6],
-"io__data_8h.html#a74c64d35d845a87219d68d2ffaaac833":[2,0,44,9],
-"io__data_8h.html#a7a2cd054ab7f3308038a53882c7f4e7a":[2,0,44,8],
-"io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,44,7],
-"io__data_8h_source.html":[2,0,44],
+"io__data_8h.html":[2,0,45],
+"io__data_8h.html#a6dbece12f2117234500c91be48ea781c":[2,0,45,6],
+"io__data_8h.html#a74c64d35d845a87219d68d2ffaaac833":[2,0,45,9],
+"io__data_8h.html#a7a2cd054ab7f3308038a53882c7f4e7a":[2,0,45,8],
+"io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,45,7],
+"io__data_8h_source.html":[2,0,45],
+"namespaceflair.html":[1,0,0],
 "namespaceflair.html":[0,0,0],
-"namespaceflair.html":[1,0,0],
 "namespaceflair_1_1actuator.html":[1,0,0,0],
 "namespaceflair_1_1actuator.html":[0,0,0,0],
+"namespaceflair_1_1core.html":[1,0,0,1],
 "namespaceflair_1_1core.html":[0,0,0,1],
-"namespaceflair_1_1core.html":[1,0,0,1],
+"namespaceflair_1_1filter.html":[1,0,0,2],
 "namespaceflair_1_1filter.html":[0,0,0,2],
-"namespaceflair_1_1filter.html":[1,0,0,2],
+"namespaceflair_1_1gui.html":[1,0,0,3],
 "namespaceflair_1_1gui.html":[0,0,0,3],
-"namespaceflair_1_1gui.html":[1,0,0,3],
+"namespaceflair_1_1meta.html":[1,0,0,4],
 "namespaceflair_1_1meta.html":[0,0,0,4],
-"namespaceflair_1_1meta.html":[1,0,0,4],
 "namespaceflair_1_1sensor.html":[0,0,0,5],
 "namespaceflair_1_1sensor.html":[1,0,0,5],
Index: trunk/doc/Flair/search/all_18.js
===================================================================
--- trunk/doc/Flair/search/all_18.js	(revision 24)
+++ trunk/doc/Flair/search/all_18.js	(revision 25)
@@ -13,5 +13,5 @@
   ['yearshown',['yearShown',['http://qt-project.org/doc/qt-4.8/qcalendarwidget.html#yearShown',0,'QCalendarWidget']]],
   ['yelement',['YElement',['../classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460',1,'flair::core::Vector3Ddata']]],
-  ['yellow',['yellow',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()'],['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()']]],
+  ['yellow',['Yellow',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()'],['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()']]],
   ['yellowf',['yellowF',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellowF',0,'QColor']]],
   ['yieldcurrentthread',['yieldCurrentThread',['http://qt-project.org/doc/qt-4.8/qthread.html#yieldCurrentThread',0,'QThread']]],
Index: trunk/doc/Flair/search/all_4.js
===================================================================
--- trunk/doc/Flair/search/all_4.js	(revision 24)
+++ trunk/doc/Flair/search/all_4.js	(revision 25)
@@ -19,6 +19,6 @@
   ['edittriggers',['EditTriggers',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#EditTriggers-typedef',0,'QAbstractItemView::EditTriggers()'],['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#editTriggers-prop',0,'QAbstractItemView::editTriggers()'],['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#editTriggers-prop',0,'QAbstractItemView::editTriggers() const']]],
   ['edittype',['editType',['http://qt-project.org/doc/qt-4.8/q3tableitem.html#editType',0,'Q3TableItem']]],
+  ['effect',['Effect',['http://qt-project.org/doc/qt-4.8/phonon-effect.html',0,'Phonon']]],
   ['effect',['effect',['http://qt-project.org/doc/qt-4.8/qgraphicsobject.html#effect-prop',0,'QGraphicsObject::effect()'],['http://qt-project.org/doc/qt-4.8/phonon-effect.html#Effect',0,'Phonon::Effect::Effect()']]],
-  ['effect',['Effect',['http://qt-project.org/doc/qt-4.8/phonon-effect.html',0,'Phonon']]],
   ['effectivedate',['effectiveDate',['http://qt-project.org/doc/qt-4.8/qsslcertificate.html#effectiveDate',0,'QSslCertificate']]],
   ['effectiveopacity',['effectiveOpacity',['http://qt-project.org/doc/qt-4.8/qgraphicsitem.html#effectiveOpacity',0,'QGraphicsItem']]],
@@ -50,4 +50,5 @@
   ['empty',['empty',['http://qt-project.org/doc/qt-4.8/q3dockarea.html#empty-prop',0,'Q3DockArea::empty()'],['http://qt-project.org/doc/qt-4.8/qhash.html#empty',0,'QHash::empty()'],['http://qt-project.org/doc/qt-4.8/qset.html#empty',0,'QSet::empty()'],['http://qt-project.org/doc/qt-4.8/qlist.html#empty',0,'QList::empty()'],['http://qt-project.org/doc/qt-4.8/qvector.html#empty',0,'QVector::empty()'],['http://qt-project.org/doc/qt-4.8/qmap.html#empty',0,'QMap::empty()'],['http://qt-project.org/doc/qt-4.8/qlinkedlist.html#empty',0,'QLinkedList::empty()']]],
   ['emptylabel',['emptyLabel',['http://qt-project.org/doc/qt-4.8/qundoview.html#emptyLabel-prop',0,'QUndoView::emptyLabel()'],['http://qt-project.org/doc/qt-4.8/qundoview.html#emptyLabel-prop',0,'QUndoView::emptyLabel() const']]],
+  ['emulatedcontroller',['EmulatedController',['../classflair_1_1sensor_1_1_emulated_controller.html',1,'flair::sensor']]],
   ['enableattributearray',['enableAttributeArray',['http://qt-project.org/doc/qt-4.8/qglshaderprogram.html#enableAttributeArray',0,'QGLShaderProgram::enableAttributeArray(int location)'],['http://qt-project.org/doc/qt-4.8/qglshaderprogram.html#enableAttributeArray-2',0,'QGLShaderProgram::enableAttributeArray(const char *name)']]],
   ['enableclipper',['enableClipper',['http://qt-project.org/doc/qt-4.8/q3scrollview.html#enableClipper',0,'Q3ScrollView']]],
@@ -227,6 +228,6 @@
   ['extensionoption',['ExtensionOption',['http://qt-project.org/doc/qt-4.8/qwebpage-extensionoption.html',0,'QWebPage']]],
   ['extensionoption',['ExtensionOption',['http://qt-project.org/doc/qt-4.8/qabstractfileengine-extensionoption.html',0,'QAbstractFileEngine']]],
+  ['extensionreturn',['ExtensionReturn',['http://qt-project.org/doc/qt-4.8/qwebpage-extensionreturn.html',0,'QWebPage']]],
   ['extensionreturn',['ExtensionReturn',['http://qt-project.org/doc/qt-4.8/qabstractfileengine-extensionreturn.html',0,'QAbstractFileEngine']]],
-  ['extensionreturn',['ExtensionReturn',['http://qt-project.org/doc/qt-4.8/qwebpage-extensionreturn.html',0,'QWebPage']]],
   ['externalentitydecl',['externalEntityDecl',['http://qt-project.org/doc/qt-4.8/qxmldeclhandler.html#externalEntityDecl',0,'QXmlDeclHandler::externalEntityDecl()'],['http://qt-project.org/doc/qt-4.8/qxmldefaulthandler.html#externalEntityDecl',0,'QXmlDefaultHandler::externalEntityDecl()']]],
   ['extraselection',['ExtraSelection',['http://qt-project.org/doc/qt-4.8/qtextedit-extraselection.html',0,'QTextEdit']]],
Index: trunk/doc/Flair/search/all_5.js
===================================================================
--- trunk/doc/Flair/search/all_5.js	(revision 24)
+++ trunk/doc/Flair/search/all_5.js	(revision 25)
@@ -16,5 +16,5 @@
   ['featurepermissionrequestcanceled',['featurePermissionRequestCanceled',['http://qt-project.org/doc/qt-4.8/qwebpage.html#featurePermissionRequestCanceled',0,'QWebPage']]],
   ['featurepermissionrequested',['featurePermissionRequested',['http://qt-project.org/doc/qt-4.8/qwebpage.html#featurePermissionRequested',0,'QWebPage']]],
-  ['features',['Features',['http://qt-project.org/doc/qt-4.8/phonon-mediacontroller.html#Features-typedef',0,'Phonon::MediaController::Features()'],['http://qt-project.org/doc/qt-4.8/qdockwidget.html#features-prop',0,'QDockWidget::features()'],['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#features',0,'QDesignerFormWindowInterface::features()'],['http://qt-project.org/doc/qt-4.8/qdockwidget.html#features-prop',0,'QDockWidget::features()']]],
+  ['features',['features',['http://qt-project.org/doc/qt-4.8/qdockwidget.html#features-prop',0,'QDockWidget::features()'],['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#features',0,'QDesignerFormWindowInterface::features()'],['http://qt-project.org/doc/qt-4.8/qdockwidget.html#features-prop',0,'QDockWidget::features()'],['http://qt-project.org/doc/qt-4.8/phonon-mediacontroller.html#Features-typedef',0,'Phonon::MediaController::Features()']]],
   ['featureschanged',['featuresChanged',['http://qt-project.org/doc/qt-4.8/qdockwidget.html#featuresChanged',0,'QDockWidget']]],
   ['fetch',['fetch',['http://qt-project.org/doc/qt-4.8/qsqlresult.html#fetch',0,'QSqlResult']]],
Index: trunk/doc/Flair/search/all_6.js
===================================================================
--- trunk/doc/Flair/search/all_6.js	(revision 24)
+++ trunk/doc/Flair/search/all_6.js	(revision 25)
@@ -219,5 +219,5 @@
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
   ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html',0,'QAbstractFontEngine']]],
-  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
+  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
Index: trunk/doc/Flair/search/all_b.js
===================================================================
--- trunk/doc/Flair/search/all_b.js	(revision 24)
+++ trunk/doc/Flair/search/all_b.js	(revision 25)
@@ -141,5 +141,5 @@
   ['listchildren',['listChildren',['http://qt-project.org/doc/qt-4.8/q3urloperator.html#listChildren',0,'Q3UrlOperator']]],
   ['listelementtype',['listElementType',['http://qt-project.org/doc/qt-4.8/qdeclarativelistreference.html#listElementType',0,'QDeclarativeListReference']]],
-  ['listen',['listen',['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()'],['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()']]],
+  ['listen',['Listen',['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()'],['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()']]],
   ['listinfo',['listInfo',['http://qt-project.org/doc/qt-4.8/q3ftp.html#listInfo',0,'Q3Ftp::listInfo()'],['http://qt-project.org/doc/qt-4.8/qftp.html#listInfo',0,'QFtp::listInfo()']]],
   ['liststyle',['listStyle',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#listStyle',0,'Q3StyleSheetItem']]],
Index: trunk/doc/Flair/search/all_e.js
===================================================================
--- trunk/doc/Flair/search/all_e.js	(revision 24)
+++ trunk/doc/Flair/search/all_e.js	(revision 25)
@@ -13,5 +13,5 @@
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
+  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
@@ -55,5 +55,5 @@
   ['openexternallinks',['openExternalLinks',['http://qt-project.org/doc/qt-4.8/qtextbrowser.html#openExternalLinks-prop',0,'QTextBrowser::openExternalLinks()'],['http://qt-project.org/doc/qt-4.8/qgraphicstextitem.html#openExternalLinks-prop',0,'QGraphicsTextItem::openExternalLinks()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#openExternalLinks-prop',0,'QLabel::openExternalLinks()'],['http://qt-project.org/doc/qt-4.8/qtextbrowser.html#openExternalLinks-prop',0,'QTextBrowser::openExternalLinks()'],['http://qt-project.org/doc/qt-4.8/qgraphicstextitem.html#openExternalLinks-prop',0,'QGraphicsTextItem::openExternalLinks()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#openExternalLinks-prop',0,'QLabel::openExternalLinks()']]],
   ['openfile',['openFile',['http://qt-project.org/doc/qt-4.8/qfileopenevent.html#openFile',0,'QFileOpenEvent']]],
-  ['openglfeatures',['OpenGLFeatures',['http://qt-project.org/doc/qt-4.8/qglfunctions.html#OpenGLFeatures-typedef',0,'QGLFunctions::OpenGLFeatures()'],['http://qt-project.org/doc/qt-4.8/qglfunctions.html#openGLFeatures',0,'QGLFunctions::openGLFeatures() const']]],
+  ['openglfeatures',['openGLFeatures',['http://qt-project.org/doc/qt-4.8/qglfunctions.html#openGLFeatures',0,'QGLFunctions::openGLFeatures() const'],['http://qt-project.org/doc/qt-4.8/qglfunctions.html#OpenGLFeatures-typedef',0,'QGLFunctions::OpenGLFeatures()']]],
   ['openglversionflags',['openGLVersionFlags',['http://qt-project.org/doc/qt-4.8/qglformat.html#openGLVersionFlags',0,'QGLFormat::openGLVersionFlags()'],['http://qt-project.org/doc/qt-4.8/qglformat.html#OpenGLVersionFlags-typedef',0,'QGLFormat::OpenGLVersionFlags()']]],
   ['openkeyboard',['openKeyboard',['http://qt-project.org/doc/qt-4.8/qwsserver.html#openKeyboard',0,'QWSServer']]],
Index: trunk/doc/Flair/search/all_f.js
===================================================================
--- trunk/doc/Flair/search/all_f.js	(revision 24)
+++ trunk/doc/Flair/search/all_f.js	(revision 25)
@@ -132,5 +132,5 @@
   ['pidthrust',['PidThrust',['../classflair_1_1filter_1_1_pid_thrust.html',1,'flair::filter']]],
   ['pidthrust_2eh',['PidThrust.h',['../_pid_thrust_8h.html',1,'']]],
-  ['pitch',['pitch',['../classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860',1,'flair::core::Euler::pitch()'],['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956',1,'flair::core::AhrsData::Pitch()']]],
+  ['pitch',['Pitch',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956',1,'flair::core::AhrsData::Pitch()'],['../classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860',1,'flair::core::Euler::pitch()']]],
   ['pitchdeg',['PitchDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a',1,'flair::core::AhrsData']]],
   ['pitchplot',['PitchPlot',['../classflair_1_1filter_1_1_ahrs.html#a35a0df9a0e36ebb19165725a9eb24217',1,'flair::filter::Ahrs']]],
Index: trunk/doc/Flair/search/classes_13.js
===================================================================
--- trunk/doc/Flair/search/classes_13.js	(revision 24)
+++ trunk/doc/Flair/search/classes_13.js	(revision 25)
@@ -1,6 +1,6 @@
 var searchData=
 [
+  ['tab',['Tab',['http://qt-project.org/doc/qt-4.8/qtextoption-tab.html',0,'QTextOption']]],
   ['tab',['Tab',['../classflair_1_1gui_1_1_tab.html',1,'flair::gui']]],
-  ['tab',['Tab',['http://qt-project.org/doc/qt-4.8/qtextoption-tab.html',0,'QTextOption']]],
   ['tabwidget',['TabWidget',['../classflair_1_1gui_1_1_tab_widget.html',1,'flair::gui']]],
   ['targetcontroller',['TargetController',['../classflair_1_1sensor_1_1_target_controller.html',1,'flair::sensor']]],
@@ -12,8 +12,8 @@
   ['trajectorygenerator1d',['TrajectoryGenerator1D',['../classflair_1_1filter_1_1_trajectory_generator1_d.html',1,'flair::filter']]],
   ['trajectorygenerator2dcircle',['TrajectoryGenerator2DCircle',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html',1,'flair::filter']]],
+  ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
+  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]],
   ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]],
-  ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]],
-  ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
   ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]]
+  ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]]
 ];
Index: trunk/doc/Flair/search/classes_4.js
===================================================================
--- trunk/doc/Flair/search/classes_4.js	(revision 24)
+++ trunk/doc/Flair/search/classes_4.js	(revision 25)
@@ -5,4 +5,5 @@
   ['effectwidget',['EffectWidget',['http://qt-project.org/doc/qt-4.8/phonon-effectwidget.html',0,'Phonon']]],
   ['element',['Element',['http://qt-project.org/doc/qt-4.8/qpainterpath-element.html',0,'QPainterPath']]],
+  ['emulatedcontroller',['EmulatedController',['../classflair_1_1sensor_1_1_emulated_controller.html',1,'flair::sensor']]],
   ['errorpageextensionoption',['ErrorPageExtensionOption',['http://qt-project.org/doc/qt-4.8/qwebpage-errorpageextensionoption.html',0,'QWebPage']]],
   ['errorpageextensionreturn',['ErrorPageExtensionReturn',['http://qt-project.org/doc/qt-4.8/qwebpage-errorpageextensionreturn.html',0,'QWebPage']]],
Index: trunk/doc/Flair/search/functions_6.js
===================================================================
--- trunk/doc/Flair/search/functions_6.js	(revision 24)
+++ trunk/doc/Flair/search/functions_6.js	(revision 25)
@@ -215,5 +215,5 @@
   ['glyphindexesforchars',['glyphIndexesForChars',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForChars',0,'QRawFont']]],
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
-  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
+  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
Index: trunk/doc/Flair/search/functions_b.js
===================================================================
--- trunk/doc/Flair/search/functions_b.js	(revision 24)
+++ trunk/doc/Flair/search/functions_b.js	(revision 25)
@@ -133,5 +133,5 @@
   ['listchildren',['listChildren',['http://qt-project.org/doc/qt-4.8/q3urloperator.html#listChildren',0,'Q3UrlOperator']]],
   ['listelementtype',['listElementType',['http://qt-project.org/doc/qt-4.8/qdeclarativelistreference.html#listElementType',0,'QDeclarativeListReference']]],
-  ['listen',['listen',['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()'],['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()']]],
+  ['listen',['Listen',['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()'],['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()']]],
   ['listinfo',['listInfo',['http://qt-project.org/doc/qt-4.8/q3ftp.html#listInfo',0,'Q3Ftp::listInfo()'],['http://qt-project.org/doc/qt-4.8/qftp.html#listInfo',0,'QFtp::listInfo()']]],
   ['liststyle',['listStyle',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#listStyle',0,'Q3StyleSheetItem']]],
Index: trunk/doc/Flair/search/functions_e.js
===================================================================
--- trunk/doc/Flair/search/functions_e.js	(revision 24)
+++ trunk/doc/Flair/search/functions_e.js	(revision 25)
@@ -10,5 +10,5 @@
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
+  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
Index: trunk/include/FlairCore/IODevice.h
===================================================================
--- trunk/include/FlairCore/IODevice.h	(revision 24)
+++ trunk/include/FlairCore/IODevice.h	(revision 25)
@@ -114,21 +114,20 @@
   virtual DataType const &GetOutputDataType() const;
 
-protected:
-  /*!
-  * \brief Process the childs of type IODevice, and log if needed
-  *
-  * This method must be called after computing datas;
-  * generally at the end of the reimplemented UpdateFrom or after acquiring
-  *datas in case of a sensor. \n
-  * It will call UpdateFrom methods of each child of type IODevice,
-  * and log all datas (this IODevice and its childs)
-  * if logging is enabled (see SetDataToLog(), AddDeviceToLog(),
-  * FrameworkManager::StartLog and FrameworkManager::AddDeviceToLog). \n
-  * If a thread is waiting on this IODevice (see Thread::WaitUpdate), it will be
-  *resumed.
-  *
-  * \param data data to process
-  */
-  void ProcessUpdate(io_data *data);
+            Time lastUpdate;
+        protected:
+            /*!
+            * \brief Process the childs of type IODevice, and log if needed
+            *
+            * This method must be called after computing datas;
+            * generally at the end of the reimplemented UpdateFrom or after acquiring datas in case of a sensor. \n
+            * It will call UpdateFrom methods of each child of type IODevice,
+            * and log all datas (this IODevice and its childs)
+            * if logging is enabled (see SetDataToLog(), AddDeviceToLog(),
+            * FrameworkManager::StartLog and FrameworkManager::AddDeviceToLog). \n
+            * If a thread is waiting on this IODevice (see Thread::WaitUpdate), it will be resumed.
+            *
+            * \param data data to process
+            */
+            void ProcessUpdate(io_data* data);
 
 private:
Index: trunk/include/FlairMeta/MetaDualShock3.h
===================================================================
--- trunk/include/FlairMeta/MetaDualShock3.h	(revision 24)
+++ trunk/include/FlairMeta/MetaDualShock3.h	(revision 25)
@@ -14,5 +14,6 @@
 #define METADUALSHOCK3_H
 
-#include <TargetEthController.h>
+#include <TargetController.h>
+#include <IODevice.h>
 
 namespace flair {
@@ -35,10 +36,10 @@
 * \brief Classe intégrant la manette MetaDualShock3
 */
-class MetaDualShock3 : public sensor::TargetEthController {
+class MetaDualShock3 : public core::IODevice {
   friend class ::MetaDualShock3_impl;
 
 public:
   MetaDualShock3(core::FrameworkManager *parent, std::string name,
-                 uint16_t port, uint8_t priority);
+                 sensor::TargetController *controller);
   ~MetaDualShock3();
   core::AhrsData *GetReferenceOrientation(void) const;
@@ -66,7 +67,9 @@
   void FlashLed(unsigned int ledId, uint8_t on_timeout, uint8_t off_timeout);
 
-private:
-  class MetaDualShock3_impl *pimpl_;
-};
+        private:
+            class MetaDualShock3_impl* pimpl_;
+            void UpdateFrom(const flair::core::io_data *data);
+            sensor::TargetController *controller;
+    };
 } // end namespace meta
 } // end namespace flair
Index: trunk/include/FlairMeta/UavStateMachine.h
===================================================================
--- trunk/include/FlairMeta/UavStateMachine.h	(revision 24)
+++ trunk/include/FlairMeta/UavStateMachine.h	(revision 25)
@@ -101,6 +101,6 @@
   };
 
-  UavStateMachine(meta::Uav *uav, uint16_t ds3Port = 20000);
-  ~UavStateMachine();
+        UavStateMachine(meta::Uav* uav, sensor::TargetController* controller);
+        ~UavStateMachine();
 
   const core::Quaternion &GetCurrentQuaternion(void) const;
@@ -110,12 +110,13 @@
   const meta::Uav *GetUav(void) const;
 
-  void Land(void);
-  void TakeOff(void);
-  void EmergencyStop(void);
-  //! Used to signal an event
-  /*!
-      \param event the event which occured
-  */
-  virtual void SignalEvent(Event_t event);
+        void Land(void);
+        void EmergencyLand(void);
+        void TakeOff(void);
+        void EmergencyStop(void);
+        //! Used to signal an event
+        /*!
+            \param event the event which occured
+        */
+        virtual void SignalEvent(Event_t event);
 
   virtual const core::AhrsData *GetOrientation(void) const;
@@ -262,4 +263,5 @@
 
   meta::Uav *uav;
+  sensor::TargetController *controller;
 
   core::Quaternion currentQuaternion;
@@ -289,5 +291,7 @@
   bool flagBatteryLow;
   bool flagConnectionLost;
+  bool flagCriticalSensorLost;
   bool flagZTrajectoryFinished;
+  bool safeToFly;
   filter::NestedSat *uRoll, *uPitch;
   filter::Pid *uYaw;
